GET /v1/stacks

Service: content · operationId: (none)

Required scopes

(no scope declared — review service config)

Query parameters

  • brandId (string) —
  • status (string) —
  • page (number,null) —
  • limit (number,null) —

Responses

200 List of stacks

{
  "type": "object",
  "properties": {
    "docs": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "id": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "number"
              }
            ]
          },
          "name": {
            "type": "string"
          },
          "slug": {
            "type": "string"
          },
          "brandId": {
            "type": "string"
          },
          "status": {
            "type": "string"
          },
          "summary": {
            "type": [
              "string",
              "null"
            ]
          },
          "createdAt": {
            "type": "string"
          },
          "updatedAt": {
            "type": "string"
          }
        },
        "required": [
          "id",
          "name",
          "slug",
          "brandId",
          "status",
          "createdAt",
          "updatedAt"
        ]
      }
    },
    "totalDocs": {
      "type": "number"
    },
    "page": {
      "type": "number"
    },
    "totalPages": {
      "type": "number"
    },
    "hasNextPage": {
      "type": "boolean"
    },
    "hasPrevPage": {
      "type": "boolean"
    }
  },
  "required": [
    "docs",
    "totalDocs",
    "hasNextPage",
    "hasPrevPage"
  ]
}

Example

curl -X GET https://content.platform.loop.health/v1/stacks \
  -H "Authorization: Bearer $ACCESS_TOKEN"